%VTVG - GPS
%rsc@email.cz

clear
clc

fid = fopen('GPS.txt','w'); %vytvoreni *.txt souboru pro vystup


fprintf(fid,'=============================================\n');
fprintf(fid,'                   GPS\n');
fprintf(fid,'=============================================\n');

ro = 180/pi;

sm1results;

body = GPS_mer(:,1);
fi = GPS_mer(:,2) + GPS_mer(:,3)/60 + GPS_mer(:,4)/3600;
lamda = GPS_mer(:,5) + GPS_mer(:,6)/60 + GPS_mer(:,7)/3600;
Hel = GPS_mer(:,8);


poc = max(size(body));

X = [];
Y = [];
Z = [];

for i=1:poc
    [X(i,1),Y(i,1),Z(i,1)] = flH2XYZ(fi(i),lamda(i),Hel(i),5);
end


ID_GPS_X = X(1:11,1);
ID_GPS_Y = Y(1:11,1);
ID_GPS_Z = Z(1:11,1);




%ID_JTSK

ID_JTSK_y = ID_JTSK(:,2);
ID_JTSK_x = ID_JTSK(:,3);
ID_JTSK_z = ID_JTSK(:,4);

for i=1:8
    [ID_JTSK_fi(i,1),ID_JTSK_lamda(i,1)] = JTSK2fl(ID_JTSK_y(i),ID_JTSK_x(i));
end

%pridn nivelku
ID_JTSK_fi = [
    ID_JTSK_fi
    fi(9:11,1)
];

ID_JTSK_lamda = [
    ID_JTSK_lamda
    lamda(9:11,1)
];

ID_JTSK_z = [
    ID_JTSK_z
    528.736
    535.556
    510.173
];
%EOF

for i=1:11
    [ID_JTSK_X(i,1),ID_JTSK_Y(i,1),ID_JTSK_Z(i,1)] = flH2XYZ(ID_JTSK_fi(i),ID_JTSK_lamda(i),ID_JTSK_z(i),1);
end

ID_JTSK_X(9:11,1) = ID_JTSK_X(9:11,1) - 87.5;
ID_JTSK_Y(9:11,1) = ID_JTSK_Y(9:11,1) + 83.5;
ID_JTSK_Z(9:11,1) = ID_JTSK_Z(9:11,1) + 49.6;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fprintf(fid,'Diferenciln shodnostn Hemlert\n');

T_x_vyr = sum(ID_GPS_X)/11;
T_y_vyr = sum(ID_GPS_Y)/11;
T_z_vyr = sum(ID_GPS_Z)/11;

T_vyr = [
    T_x_vyr
    T_y_vyr
    T_z_vyr
];


A = [
 1 0 0          0                -(ID_GPS_Z(1)-T_z_vyr)   (ID_GPS_Y(1)-T_y_vyr) % (ID_GPS_X(1)-T_x_vyr)
 0 1 0   (ID_GPS_Z(1)-T_z_vyr)          0                -(ID_GPS_X(1)-T_x_vyr) % (ID_GPS_Y(1)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(1)-T_y_vyr)   (ID_GPS_X(1)-T_x_vyr)          0               % (ID_GPS_Z(1)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(2)-T_z_vyr)   (ID_GPS_Y(2)-T_y_vyr) % (ID_GPS_X(2)-T_x_vyr)
 0 1 0   (ID_GPS_Z(2)-T_z_vyr)          0                -(ID_GPS_X(2)-T_x_vyr) % (ID_GPS_Y(2)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(2)-T_y_vyr)   (ID_GPS_X(2)-T_x_vyr)          0               % (ID_GPS_Z(2)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(3)-T_z_vyr)   (ID_GPS_Y(3)-T_y_vyr) % (ID_GPS_X(3)-T_x_vyr)
 0 1 0   (ID_GPS_Z(3)-T_z_vyr)          0                -(ID_GPS_X(3)-T_x_vyr) % (ID_GPS_Y(3)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(3)-T_y_vyr)   (ID_GPS_X(3)-T_x_vyr)          0               % (ID_GPS_Z(3)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(4)-T_z_vyr)   (ID_GPS_Y(4)-T_y_vyr) % (ID_GPS_X(4)-T_x_vyr)
 0 1 0   (ID_GPS_Z(4)-T_z_vyr)          0                -(ID_GPS_X(4)-T_x_vyr) % (ID_GPS_Y(4)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(4)-T_y_vyr)   (ID_GPS_X(4)-T_x_vyr)          0               % (ID_GPS_Z(4)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(5)-T_z_vyr)   (ID_GPS_Y(5)-T_y_vyr) % (ID_GPS_X(5)-T_x_vyr)
 0 1 0   (ID_GPS_Z(5)-T_z_vyr)          0                -(ID_GPS_X(5)-T_x_vyr) % (ID_GPS_Y(5)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(5)-T_y_vyr)   (ID_GPS_X(5)-T_x_vyr)          0               % (ID_GPS_Z(5)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(6)-T_z_vyr)   (ID_GPS_Y(6)-T_y_vyr) % (ID_GPS_X(6)-T_x_vyr)
 0 1 0   (ID_GPS_Z(6)-T_z_vyr)          0                -(ID_GPS_X(6)-T_x_vyr) % (ID_GPS_Y(6)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(6)-T_y_vyr)   (ID_GPS_X(6)-T_x_vyr)          0               % (ID_GPS_Z(6)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(7)-T_z_vyr)   (ID_GPS_Y(7)-T_y_vyr) % (ID_GPS_X(7)-T_x_vyr)
 0 1 0   (ID_GPS_Z(7)-T_z_vyr)          0                -(ID_GPS_X(7)-T_x_vyr) % (ID_GPS_Y(7)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(7)-T_y_vyr)   (ID_GPS_X(7)-T_x_vyr)          0               % (ID_GPS_Z(7)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(8)-T_z_vyr)   (ID_GPS_Y(8)-T_y_vyr) % (ID_GPS_X(8)-T_x_vyr)
 0 1 0   (ID_GPS_Z(8)-T_z_vyr)          0                -(ID_GPS_X(8)-T_x_vyr) % (ID_GPS_Y(8)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(8)-T_y_vyr)   (ID_GPS_X(8)-T_x_vyr)          0               % (ID_GPS_Z(8)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(9)-T_z_vyr)   (ID_GPS_Y(9)-T_y_vyr) % (ID_GPS_X(9)-T_x_vyr)
 0 1 0   (ID_GPS_Z(9)-T_z_vyr)          0                -(ID_GPS_X(9)-T_x_vyr) % (ID_GPS_Y(9)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(9)-T_y_vyr)   (ID_GPS_X(9)-T_x_vyr)          0               % (ID_GPS_Z(9)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(10)-T_z_vyr)   (ID_GPS_Y(10)-T_y_vyr) % (ID_GPS_X(10)-T_x_vyr)
 0 1 0   (ID_GPS_Z(10)-T_z_vyr)          0                -(ID_GPS_X(10)-T_x_vyr) % (ID_GPS_Y(10)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(10)-T_y_vyr)   (ID_GPS_X(10)-T_x_vyr)          0               % (ID_GPS_Z(10)-T_z_vyr)

 1 0 0          0                -(ID_GPS_Z(11)-T_z_vyr)   (ID_GPS_Y(11)-T_y_vyr) % (ID_GPS_X(11)-T_x_vyr)
 0 1 0   (ID_GPS_Z(11)-T_z_vyr)          0                -(ID_GPS_X(11)-T_x_vyr) % (ID_GPS_Y(11)-T_y_vyr)
 0 0 1  -(ID_GPS_Y(11)-T_y_vyr)   (ID_GPS_X(11)-T_x_vyr)          0               % (ID_GPS_Z(11)-T_z_vyr)
];


T_x = sum(ID_JTSK_X)/11;
T_y = sum(ID_JTSK_Y)/11;
T_z = sum(ID_JTSK_Z)/11;

T = [
    T_x
    T_y
    T_z
];

%Vec l' (zadan - vyrovnan)
l = [
    (ID_JTSK_X(1) - T_x) - (ID_GPS_X(1) - T_x_vyr)
    (ID_JTSK_Y(1) - T_y) - (ID_GPS_Y(1) - T_y_vyr)
    (ID_JTSK_Z(1) - T_z) - (ID_GPS_Z(1) - T_z_vyr)

    (ID_JTSK_X(2) - T_x) - (ID_GPS_X(2) - T_x_vyr)
    (ID_JTSK_Y(2) - T_y) - (ID_GPS_Y(2) - T_y_vyr)
    (ID_JTSK_Z(2) - T_z) - (ID_GPS_Z(2) - T_z_vyr)

    (ID_JTSK_X(3) - T_x) - (ID_GPS_X(3) - T_x_vyr)
    (ID_JTSK_Y(3) - T_y) - (ID_GPS_Y(3) - T_y_vyr)
    (ID_JTSK_Z(3) - T_z) - (ID_GPS_Z(3) - T_z_vyr)

    (ID_JTSK_X(4) - T_x) - (ID_GPS_X(4) - T_x_vyr)
    (ID_JTSK_Y(4) - T_y) - (ID_GPS_Y(4) - T_y_vyr)
    (ID_JTSK_Z(4) - T_z) - (ID_GPS_Z(4) - T_z_vyr)

    (ID_JTSK_X(5) - T_x) - (ID_GPS_X(5) - T_x_vyr)
    (ID_JTSK_Y(5) - T_y) - (ID_GPS_Y(5) - T_y_vyr)
    (ID_JTSK_Z(5) - T_z) - (ID_GPS_Z(5) - T_z_vyr)

    (ID_JTSK_X(6) - T_x) - (ID_GPS_X(6) - T_x_vyr)
    (ID_JTSK_Y(6) - T_y) - (ID_GPS_Y(6) - T_y_vyr)
    (ID_JTSK_Z(6) - T_z) - (ID_GPS_Z(6) - T_z_vyr)

    (ID_JTSK_X(7) - T_x) - (ID_GPS_X(7) - T_x_vyr)
    (ID_JTSK_Y(7) - T_y) - (ID_GPS_Y(7) - T_y_vyr)
    (ID_JTSK_Z(7) - T_z) - (ID_GPS_Z(7) - T_z_vyr)

    (ID_JTSK_X(8) - T_x) - (ID_GPS_X(8) - T_x_vyr)
    (ID_JTSK_Y(8) - T_y) - (ID_GPS_Y(8) - T_y_vyr)
    (ID_JTSK_Z(8) - T_z) - (ID_GPS_Z(8) - T_z_vyr)

    (ID_JTSK_X(9) - T_x) - (ID_GPS_X(9) - T_x_vyr)
    (ID_JTSK_Y(9) - T_y) - (ID_GPS_Y(9) - T_y_vyr)
    (ID_JTSK_Z(9) - T_z) - (ID_GPS_Z(9) - T_z_vyr)

    (ID_JTSK_X(10) - T_x) - (ID_GPS_X(10) - T_x_vyr)
    (ID_JTSK_Y(10) - T_y) - (ID_GPS_Y(10) - T_y_vyr)
    (ID_JTSK_Z(10) - T_z) - (ID_GPS_Z(10) - T_z_vyr)

    (ID_JTSK_X(11) - T_x) - (ID_GPS_X(11) - T_x_vyr)
    (ID_JTSK_Y(11) - T_y) - (ID_GPS_Y(11) - T_y_vyr)
    (ID_JTSK_Z(11) - T_z) - (ID_GPS_Z(11) - T_z_vyr)
];
%------------------------------------------
%parametry Mat rotace
fi = 50 + 9/60;
b = (fi-90)/ro;

Ry = [
    cos(b) 0 -sin(b)
      0    1    0
    sin(b) 0  cos(b)
];
    
%--
lamda = 16 + 57/60;
g = -lamda/ro;

Rz = [
     cos(g) sin(g)   0
    -sin(g) cos(g)   0
       0      0      1
];
%------------------------------------------
H = Rz*Ry;%Mat rotace natocen strednch chyb z S-JTSK na Bessel
%------------------------------------------
% 
% 
% stredn chyby bodu
%Poznmka: stredn chyby presnch vec stac zvolit dostatecne mal
%          a stredn chyby nepresnch vec dostatecne velk. Prijt
%          na to mi trvalo asi tden a hodne (zbytecnho) programovn ...

mx1 = 0.05;
my1 = 0.05;
mz1 = 0.5;

mx2 = 0.05;
my2 = 0.05;
mz2 = 0.5;

mx3 = 0.02;
my3 = 0.02;
mz3 = 0.05;

mx4 = 0.02;
my4 = 0.02;
mz4 = 0.05;

mx5 = 0.02;
my5 = 0.02;
mz5 = 0.05;

mx6 = 0.02;
my6 = 0.02;
mz6 = 0.05;

mx7 = 0.02;
my7 = 0.02;
mz7 = 0.05;

mx8 = 0.02;
my8 = 0.02;
mz8 = 0.05;

mx9 = 10;
my9 = 10;
mz9 = 0.01;

mx10 = 10;
my10 = 10;
mz10 = 0.01;

mx11 = 10;
my11 = 10;
mz11 = 0.01;


%--------------------------------------------------------------------------------------------
%--------------------------------------------------------------------------------------------
% 
 Q1 = H * diag([mx1^2,my1^2,mz1^2]) * H';
 Q2 = H * diag([mx2^2,my2^2,mz2^2]) * H';
 Q3 = H * diag([mx3^2,my3^2,mz3^2]) * H';
 Q4 = H * diag([mx4^2,my4^2,mz4^2]) * H';
 Q5 = H * diag([mx5^2,my5^2,mz5^2]) * H';
 Q6 = H * diag([mx6^2,my6^2,mz6^2]) * H';
 Q7 = H * diag([mx7^2,my7^2,mz7^2]) * H';
 Q8 = H * diag([mx8^2,my8^2,mz8^2]) * H';
 Q9 = H * diag([mx9^2,my9^2,mz9^2]) * H';
 Q10 = H * diag([mx10^2,my10^2,mz10^2]) * H';
 Q11 = H * diag([mx11^2,my11^2,mz11^2]) * H';


% 
ZZ = zeros(3);
QQ = eye(3);

Q = [
Q1 ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ  ZZ
ZZ Q2 ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ  ZZ
ZZ ZZ Q3 ZZ ZZ ZZ ZZ ZZ ZZ ZZ  ZZ
ZZ ZZ ZZ Q4 ZZ ZZ ZZ ZZ ZZ ZZ  ZZ
ZZ ZZ ZZ ZZ Q5 ZZ ZZ ZZ ZZ ZZ  ZZ
ZZ ZZ ZZ ZZ ZZ Q6 ZZ ZZ ZZ ZZ  ZZ
ZZ ZZ ZZ ZZ ZZ ZZ Q7 ZZ ZZ ZZ  ZZ
ZZ ZZ ZZ ZZ ZZ ZZ ZZ Q8 ZZ ZZ  ZZ
ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ Q9 ZZ  ZZ
ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ Q10 ZZ
ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ ZZ  Q11
];

%--------------------------------------------
P = inv(Q);
%P = eye(15); %jednotkov Mat vah

%vyrovnn
N = A' * P * A;
dx = inv(N) * A' * P * l;
v = A * dx - l;


v_Mat = reshape(v,3,11)';

%--------------------------------------------------------------------------------------------
%--------------------------------------------------------------------------------------------


%vyrovnan transformacn koeficienty
Tx = dx(1);
Ty = dx(2);
Tz = dx(3);
alfa = dx(4);
beta = dx(5);
gama = dx(6);
%m = dx(7);

% Tx = Tx*m;
% Ty = Ty*m;
% Tz = Tz*m;
% alfa = alfa*m;
% beta = beta*m;
% gama = gama*m;
 m = 0;%%%%%%%%%%%%%%%%% <=============

alfav = ro * alfa * 3600;%prevod na ''
betav = ro * beta * 3600;
gamav = ro * gama * 3600;

%stredn chyby

%aposteriorn stredn chyba jednotkov
m0 = ((v'*v)/(15-6))^0.5;

%obecne stredni chyby souradnic
mX = (sum(v_Mat(:,1) .* v_Mat(:,1)) / 11)^0.5;
mY = (sum(v_Mat(:,2) .* v_Mat(:,2)) / 11)^0.5;
mZ = (sum(v_Mat(:,3) .* v_Mat(:,3)) / 11)^0.5;
mXYZ = ((mX^2 + mY^2 + mZ^2)/3)^0.5;
mV = (mX^2 + mY^2 + mZ^2)^0.5; %mira ztotoznen


%str.ch.neznmch (trns.parametru)
Mx = m0 * diag(inv(N)).^0.5;

%str.ch.zpr (ID bodu)
Ml = m0 * diag(A*inv(N)*A').^0.5;
Ml_Mat = 10000 * reshape(Ml,3,11)';


%-----------------------------------

fprintf(fid,'\nCharakteristiky presnosti\n');
fprintf(fid,'---------------------------\n');


fprintf(fid,'   m0 = %3.1f mm (aposteriorn)\n\n',1000*m0);


fprintf(fid,'   mX = %3.1f mm\n',1000*mX);
fprintf(fid,'   mY = %3.1f mm\n',1000*mY);
fprintf(fid,'   mZ = %3.1f mm\n',1000*mZ);
fprintf(fid,' mXYZ = %3.1f mm\n',1000*mXYZ);
fprintf(fid,'   mV = %3.1f mm\n\n',1000*mV);

fprintf(fid,'Vyrovnane transformacni koeficienty a jejich stredni chyby\n');
fprintf(fid,'----------------------------------------------------------\n');
fprintf(fid,'  Tx = %8.5f m  \t   mTx = %3.2f mm   (teziste je redukovan)\n',Tx,1000*Mx(1));
fprintf(fid,'  Ty = %8.5f m  \t   mTy = %3.2f mm\n',Ty,1000*Mx(2));
fprintf(fid,'  Tz = %8.5f m  \t   mTz = %3.2f mm\n',Tz,1000*Mx(3));
%fprintf(fid,'   m = %8.12f  mq = %2.9f\n',m,Mx(7));
fprintf(fid,'alfa = %7.4f'''' \t malfa = %2.3f''''\n',alfav,3600*ro*Mx(4));
fprintf(fid,'beta = %7.4f'''' \t mbeta = %2.3f''''\n',betav,3600*ro*Mx(5));
fprintf(fid,'gama = %7.4f'''' \t mgama = %2.3f''''\n',gamav,3600*ro*Mx(6));

%-----------------------------------



%-----------------------------------


%transformace

R = [
       1   gama  -beta
    -gama    1    alfa
     beta -alfa     1
 ];
 
 
%transformace identickch bodu (FIX)
 for i=1:11
     pom = (1 + m) * R * [ID_GPS_X(i) ID_GPS_Y(i) ID_GPS_Z(i)]' + [Tx,Ty,Tz]' + T - (1 + m) * R * T_vyr;
     ID_trns(i,1) = pom(1);
     ID_trns(i,2) = pom(2);
     ID_trns(i,3) = pom(3);
 end
 

 
%transformace podrobnch bodu (USR)
  for i=12:poc
     pom = (1 + m) * R * [X(i) Y(i) Z(i)]' + [Tx,Ty,Tz]' + T - (1 + m) * R * T_vyr;
     USR_trns(i,1) = pom(1);
     USR_trns(i,2) = pom(2);
     USR_trns(i,3) = pom(3);
 end

 
 USR_trns =  USR_trns(12:poc,:);%odstraneni nul z ID bodu
 
 
fprintf(fid,'\n\n\n========================================================\n');
fprintf(fid,'Transformovan body\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'  bod           X [m]          Y [m]          Z [m]\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');


for i=1:11
    fprintf(fid,'  %8.0f \t %10.4f \t %10.4f \t %10.4f\n',body(i,1),ID_trns(i,:));
end

fprintf(fid,'---------------------------------------------------------\n');

for i=12:poc
    fprintf(fid,'  %8.0f \t %10.4f \t %10.4f \t %10.4f\n',body(i,1),USR_trns(i-11,:));
end

fprintf(fid,'=================================================================================\n');
fprintf(fid,'opravy identickch bodu\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'  bod          oX [m]         oY [m]         oZ [m]\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');

for i=1:11
    fprintf(fid,'  %8.0f \t %10.4f \t %10.4f \t %10.4f\n',body(i,1),v_Mat(i,:));
end

fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'stredn chyby identickch bodu\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'  bod          mX [mm]        mY [mm]        mZ [mm]\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');

for i=1:11
    fprintf(fid,'  %8.0f \t %10.2f \t %10.2f \t %10.2f\n',body(i,1),Ml_Mat(i,:));
end

fprintf(fid,'=================================================================================\n');


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




trns = [
    ID_trns
    USR_trns
];
    


%prevod Bessel II na zemepisne II
fprintf(fid,'zemepisn souradnice\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'  bod            fi                     lamda                H (elipsoidick)\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');

for i=1:poc
    [f,l,Hel] = XYZ2flH(trns(i,1),trns(i,2),trns(i,3),1);
    FIX_flH2(i,1) = body(i,1); %cislo
    FIX_flH2(i,2) = f;             %fi
    FIX_flH2(i,3) = l;             %lamda
    FIX_flH2(i,4) = Hel;           %vyska (elipsoidicka)

    fprintf(fid,'  %8.0f \t %4.f %2.f'' %8.5f'''' \t %4.f %2.f'' %8.5f'''' \t %4.4f\n',body(i,1),dms2mat(deg2dms(f)),dms2mat(deg2dms(l)),Hel);
end

%prevod zemepisnych II na S-JTSK II
fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'S-JTSK II\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');
fprintf(fid,'      bod        Y [m]         X [m]      H [m]\n');
fprintf(fid,'---------------------------------------------------------------------------------\n');

for i=1:poc
    [y,x] = fl2JTSK(FIX_flH2(i,2),FIX_flH2(i,3));
    FIX_JTSK2(i,1) = body(i,1); %cislo
    FIX_JTSK2(i,3) = x;             %x
    FIX_JTSK2(i,2) = y;             %y
    FIX_JTSK2(i,4) = FIX_flH2(i,4); %vyska (elipsoidicka)
    
    fprintf(fid,'  %8.0f   %11.4f   %11.4f   %4.4f\n',FIX_JTSK2(i,:));
    
    if(i == 11)
        fprintf(fid,'--------------------------------------------------\n');
    end
end


fprintf(fid,'\n\n\nPorovnn s redukovanmi dlkami\n');
fprintf(fid,'---------------------------------------------\n');
fprintf(fid,'             GPS       dlkomer        rozdl\n');
fprintf(fid,'---------------------------------------------\n');
s12 = ((FIX_JTSK2(12,2) - FIX_JTSK2(13,2))^2 + (FIX_JTSK2(12,3) - FIX_JTSK2(13,3))^2)^0.5;
s13 = ((FIX_JTSK2(12,2) - FIX_JTSK2(14,2))^2 + (FIX_JTSK2(12,3) - FIX_JTSK2(14,3))^2)^0.5;
s14 = ((FIX_JTSK2(12,2) - FIX_JTSK2(15,2))^2 + (FIX_JTSK2(12,3) - FIX_JTSK2(15,3))^2)^0.5;

s23 = ((FIX_JTSK2(13,2) - FIX_JTSK2(14,2))^2 + (FIX_JTSK2(13,3) - FIX_JTSK2(14,3))^2)^0.5;
s24 = ((FIX_JTSK2(13,2) - FIX_JTSK2(15,2))^2 + (FIX_JTSK2(13,3) - FIX_JTSK2(15,3))^2)^0.5;

s34 = ((FIX_JTSK2(14,2) - FIX_JTSK2(15,2))^2 + (FIX_JTSK2(14,3) - FIX_JTSK2(15,3))^2)^0.5;

fprintf(fid,'s1:2 = %.4f m (5906.3239) <D = %+5.1f mm>\n',s12,1000*(s12-5906.3239));
fprintf(fid,'s1:3 = %.4f m (4787.3067) <D = %+5.1f mm>\n',s13,1000*(s13-4787.3067));
fprintf(fid,'s1:4 = %.4f m (6380.9511) <D = %+5.1f mm>\n',s14,1000*(s14-6380.9511));

fprintf(fid,'s2:3 = %.4f m (3219.7011) <D = %+5.1f mm>\n',s23,1000*(s23-3219.7011));
fprintf(fid,'s2:4 = %.4f m (5561.4861) <D = %+5.1f mm>\n',s24,1000*(s24-5561.4861));

fprintf(fid,'s3:4 = %.4f m (2544.2182) <D = %+5.1f mm>\n',s34,1000*(s34-2544.2182));

%v_Mat

fclose(fid);
fprintf('Ciselne vysledky jsou ulozeny v souboru "GPS.txt"\n v pracovnim adresari\n\n\nRSC');